Text search

Search through conversation transcript messages by full-text and fuzzy search

Headers

xi-api-keystringRequired

Query parameters

text_querystringRequired

The search query text for full-text and fuzzy matching

agent_idstring or nullOptional
The id of the agent you're taking the action on.
call_successfulenum or nullOptional
The result of the success evaluation
Allowed values:
call_start_before_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations up to this start date.

call_start_after_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations after to this start date.

call_duration_min_secsinteger or nullOptional
Minimum call duration in seconds.
call_duration_max_secsinteger or nullOptional
Maximum call duration in seconds.
rating_maxinteger or nullOptional1-5

Maximum overall rating (1-5).

rating_mininteger or nullOptional1-5

Minimum overall rating (1-5).

has_feedback_commentboolean or nullOptional
Filter conversations with user feedback comments.
user_idstring or nullOptional
Filter conversations by the user ID who initiated them.
evaluation_paramslist of strings or nullOptional

Evaluation filters. Repeat param. Format: criteria_id:result. Example: eval=value_framing:success

data_collection_paramslist of strings or nullOptional

Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in|exists|missing. For in, pipe-delimit values.

tool_nameslist of strings or nullOptional
Filter conversations by tool names used during the call.
tool_names_successfullist of strings or nullOptional
Filter conversations by tool names that had successful calls.
tool_names_erroredlist of strings or nullOptional
Filter conversations by tool names that had errored calls.
main_languageslist of strings or nullOptional

Filter conversations by detected main language (language code).

page_sizeintegerOptional1-50Defaults to 20
Number of results per page. Max 50.
summary_modeenumOptionalDefaults to exclude
Whether to include transcript summaries in the response.
Allowed values:
conversation_initiation_sourceenum or nullOptionalDefaults to unknown
Enum representing the possible sources for conversation initiation.
branch_idstring or nullOptional
Filter conversations by branch ID.
sort_byenumOptional

Sort order for search results. ‘search_score’ sorts by search score, ‘created_at’ sorts by conversation start time.

Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
resultslist of objects
has_moreboolean
Whether there are more results available
metaobject
next_cursorstring or null
Cursor for the next page of results

Errors

422
Unprocessable Entity Error